Name:           jsonrpc-glib
Version:        3.44.0
Release:        1
Summary:        A library to communicate with JSON. can use GVariant serialization format instead of JSON
License:        LGPLv2+
URL:            https://git.gnome.org/browse/jsonrpc-glib/
Source0:        https://download.gnome.org/sources/%{name}/3.44/%{name}-%{version}.tar.xz
Patch1:         jsonrpc-glib-skip-test-stress.patch

BuildRequires:  gi-docgen meson vala pkgconfig(glib-2.0) pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(json-glib-1.0)

%description
Jsonrpc-GLib is a library to communicate with JSON-RPC based peers in either a synchronous or asynchronous fashion.
It also allows communicating using the GVariant serialization format instead of JSON when both peers support it.
You might want that when communicating on a single host to avoid parser overhead and memory-allocator fragmentation.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1

%build
%meson -D enable_gtk_doc=true
%meson_build

%install
%meson_install

%check
%meson_test

%files
%license COPYING
%doc AUTHORS NEWS README.md
%{_libdir}/libjsonrpc-glib-1.0.so.*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Jsonrpc-1.0.typelib

%files devel
%doc CONTRIBUTING.md
%doc %{_pkgdocdir}
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Jsonrpc-1.0.gir
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/jsonrpc-glib-1.0.*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/jsonrpc-glib-1.0.pc

%changelog
* Fri Nov 17 2023 lvgenggeng <lvgenggeng@uniontech.com> - 3.44.0-1
- bump to 3.44.0

* Mon Jun 20 2022 lin zhang <lin.zhang@turbolinux.com.cn> - 3.42.0-2
- add jsonrpm-glib.yaml 

* Thu Apr 21 2022 dillon chen <dillon.chen@gmail.com> - 3.42.0-1
- Update to 3.42.0

* Wed Jun 30 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 3.38.0-1
- Package init with 3.38.0
